--- title: "Get cluster with config group applied" slug: "analytics-cdss-configgroup-getconfiggroupusingclusterlist" tags: ["ConfigGroup", "Cloud Data Streaming Service"] updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-cdss-configgroup-getconfiggroupusingclusterlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get cluster with config group applied Available in VPC Get the list of Cloud Data Streaming Service clusters with a config group applied. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/configGroup/getConfigGroupUsingClusterList/{configGroupNo} (Korea Region) | | POST | /api/sgn-v1/configGroup/getConfigGroupUsingClusterList/{configGroupNo} (Singapore Region) | | POST | /api/jpn-v1/configGroup/getConfigGroupUsingClusterList/{configGroupNo} (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `configGroupNo` | Integer | Required | Config group number - See [Get config group list](/docs/en/analytics-cdss-configgroup-getkafkaversionconfiggrouplist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 1-N (default: 10) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/configGroup/getConfigGroupUsingClusterList/3**' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "pageNo": 1, "pageSize": 10 }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.currentPage` | Integer | - | Current page number | | `result.isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `result.isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `result.pageSize` | Integer | - | Page output count | | `result.totalCount` | Integer | - | Number of response results | | `result.totalPage` | Integer | - | Total number of pages | | `result.usingClusterNameList` | Array | - | Applied cluster list: [usingClusterNameList](/docs/en/analytics-cdss-configgroup-getconfiggroupusingclusterlist#usingClusterNameList) | | `requestId` | String | - | ID for the request - UUID format | #### `usingClusterNameList` The following describes `usingClusterNameList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `clusterName` | String | - | Cluster name | | `serviceGroupInstanceNo` | Integer | - | Cluster instance number | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "currentPage": 1, "isFirst": true, "isLast": true, "pageSize": 10, "totalCount": 1, "totalPage": 1, "usingClusterNameList": [ { "clusterName": "cluster00", "serviceGroupInstanceNo": 10091**** } ] }, "requestId": "fdd91ab0-****-****-****-adc9527a0b8b" } ```